diff options
author | Leah Rowe <leah@libreboot.org> | 2023-08-17 11:55:38 +0100 |
---|---|---|
committer | Leah Rowe <leah@libreboot.org> | 2023-08-17 11:56:17 +0100 |
commit | 63b0e99f6c4184466b33b166d1558c9b8b5c8702 (patch) | |
tree | 20cdcdccc0108fe9181c13c498f231bc11211373 /resources/scripts | |
parent | 0848622799b8c627cd650d848ffa7d592d80b26d (diff) |
don't call blobutil directly from lbmk
it's bloat, and was only there for backwards compatibility
with the old commands, but the new commands are e.g.
./update blobs inject
instead of:
./blobutil inject
this results in a slight code size reduction in lbmk
Signed-off-by: Leah Rowe <leah@libreboot.org>
Diffstat (limited to 'resources/scripts')
-rwxr-xr-x | resources/scripts/build/boot/roms | 2 | ||||
-rwxr-xr-x | resources/scripts/build/release/src | 5 | ||||
-rwxr-xr-x | resources/scripts/update/blobs/download | 2 | ||||
-rwxr-xr-x | resources/scripts/update/blobs/extract | 4 | ||||
-rwxr-xr-x | resources/scripts/update/blobs/inject | 8 |
5 files changed, 10 insertions, 11 deletions
diff --git a/resources/scripts/build/boot/roms b/resources/scripts/build/boot/roms index 16ce698a..623cf88a 100755 --- a/resources/scripts/build/boot/roms +++ b/resources/scripts/build/boot/roms @@ -131,7 +131,7 @@ buildrom() { # Start by building blobs and placing them in the # coreboot tree only for boards that need them - ./blobutil download ${board} || exit 1 + ./update blobs download ${board} || exit 1 if [ -d "resources/coreboot/${board}/" ]; then ./build boot roms_helper ${board}${opts} diff --git a/resources/scripts/build/release/src b/resources/scripts/build/release/src index 2b985156..a518b83f 100755 --- a/resources/scripts/build/release/src +++ b/resources/scripts/build/release/src @@ -29,9 +29,8 @@ simple_fetch_list="${simple_fetch_list} bios_extract biosutilities" dirlist="resources util" # do not add blobs directory here. it's handled below -filelist="lbmk blobutil modify build README.md COPYING Makefile update" -filelist="${filelist} version versiondate projectname .gitcheck fetch" -filelist="${filelist} fetch_trees" +filelist="lbmk modify build README.md COPYING Makefile update version" +filelist="${filelist} versiondate projectname .gitcheck fetch fetch_trees" version="version-unknown" versiondate="version-date-unknown" diff --git a/resources/scripts/update/blobs/download b/resources/scripts/update/blobs/download index 0a28778a..a79fbad5 100755 --- a/resources/scripts/update/blobs/download +++ b/resources/scripts/update/blobs/download @@ -386,7 +386,7 @@ extract_ec() if [ ! -f ec.bin ]; then printf "could not extract ec.bin for board '%s'" ${board} \ 1>&2 - fail "aborting the build. please audit blobutil carefully." + fail "aborting the build. please audit lbmk carefully." fi "${kbc1126_ec_dump}" ec.bin diff --git a/resources/scripts/update/blobs/extract b/resources/scripts/update/blobs/extract index 5ac8e91c..ad11afb4 100755 --- a/resources/scripts/update/blobs/extract +++ b/resources/scripts/update/blobs/extract @@ -142,8 +142,8 @@ fail() print_help() { - printf "Usage: ./blobutil extract {boardname} {path/to/vendor_rom}\n" - printf "Example: ./blobutil extract x230 12mb_flash.bin\n" + printf "Usage: ./update blobs extract {boardname} {path/to/vendor_rom}\n" + printf "Example: ./update blobs extract x230 12mb_flash.bin\n" printf "\nYou need to specify exactly 2 arguments\n" } diff --git a/resources/scripts/update/blobs/inject b/resources/scripts/update/blobs/inject index 1d51ef98..0c38c5ed 100755 --- a/resources/scripts/update/blobs/inject +++ b/resources/scripts/update/blobs/inject @@ -151,7 +151,7 @@ build_dependencies() ./build module cbutils default || fail "could not build cbutils" - ./blobutil download ${board} || \ + ./update blobs download ${board} || \ fail "Could not download blobs for ${board}" } @@ -405,13 +405,13 @@ fail() usage() { cat <<- EOF - USAGE: ./blobutil inject -r [rom path] -b [boardname] -m [macaddress] - Example: ./blobutil inject -r x230_12mb.rom -b x230_12mb + USAGE: ./update blobs inject -r [rom path] -b [boardname] -m [macaddress] + Example: ./update blobs inject -r x230_12mb.rom -b x230_12mb Adding a macadress to the gbe is optional. If the [-m] parameter is left blank, the gbe will not be touched. - Type './blobutil inject listboards' to get a list of valid boards + Type './update blobs inject listboards' to get a list of valid boards EOF } |